nodes_samples_list
const url = 'https://example.com/api/nodes/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/samples?include_metadata=false';const options = { method: 'GET', headers: { 'X-Workspace': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/nodes/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/samples?include_metadata=false' \ --header 'Authorization: Bearer <token>' \ --header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'List the information related to all the samples objects.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Header Parameters
Section titled “Header Parameters”Workspace ID
Query Parameters
Section titled “Query Parameters”Should samples from descendant nodes be included in the list
When true, each sample in the page includes a metadata array with the same item shape as GET /api/nodes/{nid}/samples/{sid}/metadata?include_inherited=true (full unpaginated field list per sample).
Should inherited samples be included in the list
Which field to use when ordering the results.
A page number within the paginated result set.
Number of results to return per page.
A search term.
Responses
Section titled “Responses”object
OpenAPI response for sample list items.
Documents the optional metadata heritage array returned when
include_metadata=true.
object
Determine source of object as either ‘local’, ‘inherited’, or ‘descendant’.
The function checks if the given object is:
local: if it is not associated with the current node’s ancestors or descendants.inherited: if it is associated with one of the ancestors of the current node.descendant: if it is associated with one of the descendants of the current node.
Parameters
obj : Sample Object being checked for its source.
Returns
source : str Source of object: - “inherited”: if object is from ancestor node. - “descendant”: if object is from descendant node. - “local”: if object is not associated with current node’s ancestors or descendants.
Return information about a given object, including the count of bound samples and a related URL.
Parameters
obj : Sample Object containing information about a sample.
Returns
dict
Dictionary containing:
- “count”: The count of bound samples for the given object (obj).
- “related”: The URL for accessing bound data related to the object.
object
Return information about bound datalinks related to a given object.
The method retrieves information about bound datalinks associated with the object, including the count of distinct datalink values and a URL for accessing the bound datalinks.
Parameters
obj : Sample Object containing information about a sample.
Returns
dict
Dictionary containing:
- “count”: The number of distinct values in the “datalink” field
of the bound_data related to the given obj.
- “related”: The URL for accessing the bound datalinks related to
the given obj.
object
Return interactor information of the object’s creator.
Parameters
obj : Sample Object containing the creator information.
Returns
dict Interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : Sample Object containing the last editor information.
Returns
dict Interactor information of the last editor.
object
Present only when include_metadata=true. Same item shape as GET /api/nodes/{nid}/samples/{sid}/metadata?include_inherited=true (full unpaginated field list per sample).
Shape for one metadata heritage field + its values.
object
Metadata field description.
object
Values / selected values for the field.
object
Example
{ "count": 123, "next": "http://api.example.org/accounts/?p=4", "previous": "http://api.example.org/accounts/?p=2"}object
object
Example
{ "code": "uri_validation_error", "message": "Invalid URI parameters. Check the `details` property for more details.", "details": [ { "parameter": "<parameter>", "code": "invalid", "message": "\"<parameter_value>\" is not a valid UUID." } ]}object
object
Example
{ "code": "forbidden", "message": "You do not have permission to perform this operation. Check the `details` property for more details.", "details": [ { "parameter": "node", "code": "not_allowed", "message": "You are not a member of this node." } ]}
